Skip to content

Recreate a sandbox snapshot for the same source sandbox Vault. This request replaces the existing snapshot with the newly created one. Learn more about updating snapshots in Vault Help.

POST/api/{version}/objects/sandbox/snapshot/{api_name}/actions/update
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
api_nameThe API name of the snapshot. Obtain this from the Retrieve Sandbox Snapshots request.
curl -X POST -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/objects/sandbox/snapshot/veepharm_snapshot__c/actions/update
{ "responseStatus": "SUCCESS", "job_id": 165949, "url": "/api/v26.1/services/jobs/165949" }

On SUCCESS, the response includes the following information:

NameDescription
job_idThe Job ID value to retrieve the status and results of the snapshot update request.
urlURL to retrieve the current status of the snapshot update request.